Imports System.Data

Partial Class Forloops
    Inherits System.Web.UI.Page

    Protected Sub btnSplit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSplit.Click

        ' ///////////////// Example 1 /////////////////////

        ' We declare an array that is called "parts" and we split up the text in the textbox by the , sign
        ' and fill the array with this parts

        Dim parts As String() = txtTextToSplit.Text.Split(",")

        ' For every part in the parts array we add a link to our ltResult literal. The Trim statement removes spaces in the beginning and end of a string
        ' so that there are no blank spaces in the beginning and the end of each sentence. In this FOR loop we are
        ' looking at one row (part) at the time in an array list (parts) and add a link for each row in the
        ' array list.

        For Each part As String In parts
            Dim sentence As String = part.Trim
            ltResult.Text += "<a class=""taglink"" href=""" & "../tag/" & sentence.ToLower().Replace(" ", "-") & ".aspx" & """>" & sentence & "</a><br />"
        Next

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' ///////////////// Example 2 /////////////////////

        Dim objPds As PagedDataSource = New PagedDataSource()

        ' This code is to set the links for the pages in the repeater and the links are
        ' made up of pagenumbers. We set one link for each page in a literal control. In this FOR loop we are
        ' looking at on page (i) at the time from the first page to the last page (NumberOfPages) and add
        ' one link for each row.

        Dim NumberOfPages As Integer = objPds.PageCount - 1

        For i As Integer = 0 To NumberOfPages
            litPages.Text += " <a href=""" & "Pages-in-repeater.aspx?keyword=" & HiddenKeyWord.Value & "&amp;page=" & (i + 1) & """>" & (i + 1) & "</a>"
        Next i

        ' ///////////////// Example 3 /////////////////////

        ' This code look at each row in the repeater control and finds the data in specified columns and
        ' writes each row to a table in a pdf-file. This FOR loop looks at each row (RepeaterRow) in the
        ' "parentRepeater" control and add the values to a new row in a table.

        For Each RepeaterRow As RepeaterItem In parentRepeater.Items
            Dim AssetAccountLiteralObj As Literal = DirectCast(RepeaterRow.FindControl("AssetAccountLiteral"), Literal)
            Dim AssetTypeNameLiteralObj As Literal = DirectCast(RepeaterRow.FindControl("AssetTypeNameLiteral"), Literal)
            Dim PPpriceLabelObj As Label = DirectCast(RepeaterRow.FindControl("PPpriceLabel"), Label)
            Dim IBTotalLabelObj As Label = DirectCast(RepeaterRow.FindControl("IBTotalLabel"), Label)
            Dim YearDepLabelObj As Label = DirectCast(RepeaterRow.FindControl("YearDepLabel"), Label)
            Dim AckDepLabelObj As Label = DirectCast(RepeaterRow.FindControl("AckDepLabel"), Label)
            Dim AccTotalLabelObj As Label = DirectCast(RepeaterRow.FindControl("AccTotalLabel"), Label)

            If Not PPpriceLabelObj.Text = Nothing Then
                AnlaggningarTable.DefaultCell.HorizontalAlignment = ALIGN_LEFT
                AnlaggningarTable.AddCell(New Phrase(AssetAccountLiteralObj.Text, MiddleBoldText))
                AnlaggningarTable.AddCell(New Phrase(AssetTypeNameLiteralObj.Text, MiddleBoldText))
                AnlaggningarTable.AddCell("")
                AnlaggningarTable.AddCell("")
                AnlaggningarTable.AddCell("")
                AnlaggningarTable.AddCell("")
                AnlaggningarTable.AddCell("")
                AnlaggningarTable.AddCell("")

                ' This code has the purpose of writing data to childrows in a table in a pdf-file by using
                ' data from childrows in a repeater control. In the code below we declare a variable that represent a
                ' a repeater control with the name of "childRepeater".

                Dim ChildRepeater As Repeater = DirectCast(RepeaterRow.FindControl("childRepeater"), Repeater)

                ' This code look at each row in the repeater control and finds the data in specified columns and
                ' writes each row to a table in a pdf-file. This FOR loop looks at each row (ItemRow) in the
                ' "ChildRepeater" control and add the values to a new row in a table.

                For Each ItemRow As RepeaterItem In ChildRepeater.Items
                    Dim AssetOwnIDLiteralObj As Literal = DirectCast(ItemRow.FindControl("AssetOwnIDLiteral"), Literal)
                    Dim AssetNameLiteralObj As Literal = DirectCast(ItemRow.FindControl("AssetNameLiteral"), Literal)
                    Dim PurchaseDateLiteralObj As Literal = DirectCast(ItemRow.FindControl("PurchaseDateLiteral"), Literal)
                    Dim PurchasePriceLiteralObj As Literal = DirectCast(ItemRow.FindControl("PurchasePriceLiteral"), Literal)
                    Dim YearIBLiteralObj As Literal = DirectCast(ItemRow.FindControl("YearIBLiteral"), Literal)
                    Dim YearDepLiteralObj As Literal = DirectCast(ItemRow.FindControl("YearDepLiteral"), Literal)
                    Dim SumAckDepricationLiteralObj As Literal = DirectCast(ItemRow.FindControl("SumAckDepricationLiteral"), Literal)
                    Dim AccountedValueLiteralObj As Literal = DirectCast(ItemRow.FindControl("AccountedValueLiteral"), Literal)

                    AnlaggningarTable.DefaultCell.HorizontalAlignment = Element.ALIGN_LEFT
                    AnlaggningarTable.AddCell(New Phrase(AssetOwnIDLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(AssetNameLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(PurchaseDateLiteralObj.Text, MiddleText))
                    AnlaggningarTable.DefaultCell.HorizontalAlignment = Element.ALIGN_RIGHT
                    AnlaggningarTable.AddCell(New Phrase(PurchasePriceLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(YearIBLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(YearDepLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(SumAckDepricationLiteralObj.Text, MiddleText))
                    AnlaggningarTable.AddCell(New Phrase(AccountedValueLiteralObj.Text, MiddleText))
                Next
            End If
        Next

        ' /////////////////////// Example 4 //////////////////////////

        ' This code has the purpose of reading data from an XML-file and to put this data in textboxes
        ' that resides in a form. In the code below we select one node in the XML-file to be able to
        ' look at this nodes childnodes.

        Dim IngaendebeloppObj As XmlNode = root.SelectSingleNode("se-gen-base:ForandringEgetKapitalBFNTuple[se-gen-base:ForandringEgetKapitalBFNBeloppsslag='Ingende belopp']", genbase)

        ' This FOR loop looks at every childnode and adds data to textbox controls dependent of
        ' the name of the childnode in the XML-file.

        If Not IngaendebeloppObj Is Nothing Then
            For Each n As XmlNode In IngaendebeloppObj.ChildNodes
                Select Case n.Name
                    Case "se-gen-base:ForandringEgetKapitalBFNAktiekapital"
                        IngaendebeloppAktiekapital.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNEjRegistreratAktiekapital"
                        IngaendebeloppEjRegistreratAktiekapital.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNUppskrivningsfond"
                        IngaendebeloppUppskrivningsfond.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNReservfond"
                        IngaendebeloppReservfond.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNOverkursfond"
                        IngaendebeloppOverkursfond.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNFondForVerkligtVarde"
                        IngaendebeloppFondVerkligtVarde.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNFrittEgetKapital"
                        IngaendebeloppFrittEgetKapital.Text = n.InnerText
                    Case "se-gen-base:ForandringEgetKapitalBFNTotalt"
                        IngaendebeloppTotalt.Text = n.InnerText
                End Select
            Next
        End If
    End Sub

End Class
