using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml;

public partial class For_loops : System.Web.UI.Page
{
    protected void btnSplit_Click(object sender, System.EventArgs e)
    {

        // ///////////////// Example 1 /////////////////////

        // We declare an array that is called "parts" and we split up the text in the textbox by the , sign
        // and fill the array with this parts

        string[] parts = txtTextToSplit.Text.Split(',');

        // For every part in the parts array we add a link to our ltResult literal. The Trim statement removes spaces in the beginning and end of a string
        // so that there are no blank spaces in the beginning and the end of each sentence. In this FOR loop we are
        // looking at one row (part) at the time in an array list (parts) and add a link for each row in the
        // array list.

        foreach (string part in parts)
        {
            string sentence = part.Trim();
            ltResult.Text += "<a class=\"taglink\" href=\"" + "../tag/" + sentence.ToLower().Replace(" ", "-") + ".aspx" + "\">" + sentence + "</a><br />";
        }

    }

    protected void Page_Load(object sender, System.EventArgs e)
    {
        // ///////////////// Example 2 /////////////////////

        PagedDataSource objPds = new PagedDataSource();

        // This code is to set the links for the pages in the repeater and the links are
        // made up of pagenumbers. We set one link for each page in a literal control. In this FOR loop we are
        // looking at on page (i) at the time from the first page to the last page (NumberOfPages) and add
        // one link for each row.

        int NumberOfPages = objPds.PageCount;

        for (int i = 1; i <= NumberOfPages; i++)
        {
            litPages.Text += " <a href=\"" + "Pages-in-repeater.aspx?keyword=" + HiddenKeyWord.Value + "&amp;page=" + i + "\">" + i + "</a>";
        }

        // ///////////////// Example 3 /////////////////////

        // This code look at each row in the repeater control and finds the data in specified columns and
        // writes each row to a table in a pdf-file. This FOR loop looks at each row (RepeaterRow) in the
        // "parentRepeater" control and add the values to a new row in a table.

        foreach (RepeaterItem RepeaterRow in parentRepeater.Items)
        {
            Literal AssetAccountLiteralObj = (Literal)RepeaterRow.FindControl("AssetAccountLiteral");
            Literal AssetTypeNameLiteralObj = (Literal)RepeaterRow.FindControl("AssetTypeNameLiteral");
            Label PPpriceLabelObj = (Label)RepeaterRow.FindControl("PPpriceLabel");
            Label IBTotalLabelObj = (Label)RepeaterRow.FindControl("IBTotalLabel");
            Label YearDepLabelObj = (Label)RepeaterRow.FindControl("YearDepLabel");
            Label AckDepLabelObj = (Label)RepeaterRow.FindControl("AckDepLabel");
            Label AccTotalLabelObj = (Label)RepeaterRow.FindControl("AccTotalLabel");

            if (PPpriceLabelObj.Text != null)
            {
                AnlaggningarTable.DefaultCell.HorizontalAlignment = Element.ALIGN_LEFT;
                AnlaggningarTable.AddCell(new Phrase(AssetAccountLiteralObj.Text, MiddleBoldText));
                AnlaggningarTable.AddCell(new Phrase(AssetTypeNameLiteralObj.Text, MiddleBoldText));
                AnlaggningarTable.AddCell("");
                AnlaggningarTable.AddCell("");
                AnlaggningarTable.AddCell("");
                AnlaggningarTable.AddCell("");
                AnlaggningarTable.AddCell("");
                AnlaggningarTable.AddCell("");

                // This code has the purpose of writing data to childrows in a table in a pdf-file by using
                // data from childrows in a repeater control. In the code below we declare a variable that represent a
                // a repeater control with the name of "childRepeater".

                Repeater ChildRepeater = (Repeater)RepeaterRow.FindControl("childRepeater");

                // This code look at each row in the repeater control and finds the data in specified columns and
                // writes each row to a table in a pdf-file. This FOR loop looks at each row (ItemRow) in the
                // "ChildRepeater" control and add the values to a new row in a table.

                foreach (RepeaterItem ItemRow in ChildRepeater.Items)
                {
                    Literal AssetOwnIDLiteralObj = (Literal)ItemRow.FindControl("AssetOwnIDLiteral");
                    Literal AssetNameLiteralObj = (Literal)ItemRow.FindControl("AssetNameLiteral");
                    Literal PurchaseDateLiteralObj = (Literal)ItemRow.FindControl("PurchaseDateLiteral");
                    Literal PurchasePriceLiteralObj = (Literal)ItemRow.FindControl("PurchasePriceLiteral");
                    Literal YearIBLiteralObj = (Literal)ItemRow.FindControl("YearIBLiteral");
                    Literal YearDepLiteralObj = (Literal)ItemRow.FindControl("YearDepLiteral");
                    Literal SumAckDepricationLiteralObj = (Literal)ItemRow.FindControl("SumAckDepricationLiteral");
                    Literal AccountedValueLiteralObj = (Literal)ItemRow.FindControl("AccountedValueLiteral");

                    AnlaggningarTable.DefaultCell.HorizontalAlignment = Element.ALIGN_LEFT;
                    AnlaggningarTable.AddCell(new Phrase(AssetOwnIDLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(AssetNameLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(PurchaseDateLiteralObj.Text, MiddleText));
                    AnlaggningarTable.DefaultCell.HorizontalAlignment = Element.ALIGN_RIGHT;
                    AnlaggningarTable.AddCell(new Phrase(PurchasePriceLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(YearIBLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(YearDepLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(SumAckDepricationLiteralObj.Text, MiddleText));
                    AnlaggningarTable.AddCell(new Phrase(AccountedValueLiteralObj.Text, MiddleText));
                }
            }
        }

        // /////////////////////// Example 4 //////////////////////////

        // This code has the purpose of reading data from an XML-file and to put this data in textboxes
        // that resides in a form. In the code below we select one node in the XML-file to be able to
        // look at this nodes childnodes.

        XmlNode IngaendebeloppObj = root.SelectSingleNode("se-gen-base:ForandringEgetKapitalBFNTuple[se-gen-base:ForandringEgetKapitalBFNBeloppsslag='Ingende belopp']", genbase);

        // This FOR loop looks at every childnode and adds data to textbox controls dependent of
        // the name of the childnode in the XML-file.

        if (IngaendebeloppObj != null)
        {
            foreach (XmlNode n in IngaendebeloppObj.ChildNodes)
            {
                switch (n.Name)
                {
                    case "se-gen-base:ForandringEgetKapitalBFNAktiekapital":
                        IngaendebeloppAktiekapital.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNEjRegistreratAktiekapital":
                        IngaendebeloppEjRegistreratAktiekapital.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNUppskrivningsfond":
                        IngaendebeloppUppskrivningsfond.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNReservfond":
                        IngaendebeloppReservfond.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNOverkursfond":
                        IngaendebeloppOverkursfond.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNFondForVerkligtVarde":
                        IngaendebeloppFondVerkligtVarde.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNFrittEgetKapital":
                        IngaendebeloppFrittEgetKapital.Text = n.InnerText;
                        break;
                    case "se-gen-base:ForandringEgetKapitalBFNTotalt":
                        IngaendebeloppTotalt.Text = n.InnerText;
                        break;
                }
            }
        }
    }
}
